namespace Netina.Infrastructure.RestServices;

public interface IKaveNegarRestApi
{

    [Post("/{apiKey}/verify/lookup.json")]
    Task<KaveNegarResponse> SendLookUp(string apiKey, [Query] string receptor, [Query] string template, [Query] string token, [Query] string? token2=null,
        [Query]string? token3 = null, [Query] string? token10 = null, [Query] string? token20 = null);

    [Post("/{apiKey}/sms/send.json")]
    Task<KaveNegarResponse> SendSms(string apiKey, [Query] string receptor, [Query] string message, [Query] string sender);
}